%define release %mkrel 5

%define nameorig xcircuit
%define version 3.4.30

Summary: Electronic circuit schematic drawing program
Name: %{nameorig}-tcl
Version: %{version}
Release: %{release}
License: GPLv2+
Group: Sciences/Other
URL: http://opencircuitdesign.com/xcircuit
Source0: 	http://opencircuitdesign.com/xcircuit/archive/%{nameorig}-%{version}.tgz
Source1:	%{nameorig}.16.png
Source2:	%{nameorig}.32.png
Source3:	%{nameorig}.48.png
Patch0:		xcircuit-fix-linkage.patch
Patch1:		xcircuit-3.4.30-fix-format-errors.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: tcl >= 8.4.11 tk >= 8.4.11
BuildRequires: tcl-devel >= 8.4.11 tk-devel >= 8.4.11
BuildRequires: libxpm-devel
BuildRequires: X11-devel
Obsoletes: %{nameorig} %{nameorig}-python
Provides: %{nameorig} %{nameorig}-python
Requires: tcl >= 8.4.11
Requires: tk >= 8.4.11

%description
Xcircuit is a general-purpose drawing program and also a specific-purpose
CAD program for circuit schematic drawing and schematic capture.  Output
is PostScript.  TCL scripting is available.

%prep
%setup -q -n %{nameorig}-%{version}
%patch0 -p0
%patch1 -p1

%build
autoreconf
%configure2_5x --with-tcl --with-tcllibs=%{_libdir} --with-tklibs=%{_libdir}
%make tcl

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=XCircuit
Comment=%{summary}
Exec=%{_bindir}/xcircuit
Icon=%{name}
Terminal=false
Type=Application
Categories=Electronics
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_iconsdir}
cp %{SOURCE1}  $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
cp %{SOURCE2}  $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cp %{SOURCE3}  $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

chmod 644 $RPM_BUILD_ROOT/%{_prefix}/lib/xcircuit-3.4/console.tcl

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT README README.notes README.ISOLatin2 lib/pixmaps/xcircuit.xpm
%{_bindir}/xcircuit
%{_prefix}/lib/xcircuit-3.4
%{_iconsdir}/%{name}.*
%{_miconsdir}/%{name}.*
%{_liconsdir}/%{name}.*
%{_datadir}/applications/*.desktop


%changelog
* Wed Apr 14 2010 Eugeni Dodonov <eugeni@mandriva.com> 3.4.30-5mdv2010.1
+ Revision: 534763
- Adding missing requires.

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 3.4.30-4mdv2010.0
+ Revision: 445909
- rebuild

* Thu Mar 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.4.30-3mdv2009.1
+ Revision: 349263
- fix format errors

* Mon Nov 24 2008 Funda Wang <fwang@mandriva.org> 3.4.30-2mdv2009.1
+ Revision: 306169
- more generic patch
- fix linkage

* Sun Nov 23 2008 trem <trem@mandriva.org> 3.4.30-1mdv2009.1
+ Revision: 306103
- updated to 3.4.30
- use _disable_ld_no_undefined

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 10 2007 Funda Wang <fwang@mandriva.org> 3.4.27-1mdv2008.1
+ Revision: 116832
- New version 3.4.27
- import xcircuit-tcl


* Thu Aug 24 2006 Couriousous <couriousous@mandriva.org> 3.4.26-1mdv2007.0
- 3.4.26
- XDG

* Mon Apr 17 2006 Couriousous <couriousous@mandriva.org> 3.4.21-1mdk
- 3.4.21

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 3.3.38-2mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Fri Sep 30 2005 Couriousous <couriousous@mandriva.org> 3.3.38-1mdk
- 3.3.38
- Fix x86_64 build
- Since this package is a simple program and not a library
  There is no need to force use of %%{_libdir}

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.3.29-2mdk
- Fix BuildRequires

* Sun Jul 24 2005 Couriousous <couriousous@mandriva.org> 3.3.29-1mdk
- 3.3.29
- From: Torbjorn Turpeinen <tobbe@nyvalls.se>:
	- 3.3.25
	- Built for cooker

* Fri Apr 01 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.3.12-1.mdk10.2.thac
- Rebuilt for Mandrake 10.2
- Updated to latest version

* Thu Dec 16 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.3.4-1.mdk10.1.thac
- Updated to latest version

* Sat Dec 04 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.3.2-1.mdk10.1.thac
- Updated to latest version

* Wed Oct 26 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.3.0-2.mdk10.1.thac
- 2.mdk10.1.thac
- Where "2" is the release of the package, "mdk" is the distro, "10.1" is the release of the distro, and "thac" is the Torbjorn Turpeinen extension.

* Fri Oct 08 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.3.0-1thac
- Updated to latest version

* Wed Sep 29 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.27-1thac
- Updated to latest version

* Tue Sep 14 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.26-1thac
- Updated to latest version

* Wed Sep 01 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.24-1thac
- Updated to latest version

* Tue Jun 21 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.22-1thac
- Updated to latest version

* Thu Jun 03 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.21-1thac
- Updated to latest version

* Sun May 02 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.16-1thac
- Updated to latest version

* Fri Apr 23 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.15-2thac
- Rebuilt for Mandrake 10.0 official.

* Tue Apr 05 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.2.15-1thac
- Updated to latest version

* Fri Mar 12 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.2.14-1thac
- Built for Mandrake 9.2
